---------------------
PatchSet 248 
Date: 2000/05/02 22:50:27
Author: hno
Branch: hno-devel
Tag: (none) 
Log:
Syncronized with "devel" via "modio"

Members: 
	CONTRIBUTORS:1.1.1.3->1.1.1.3.6.1 
	ChangeLog:1.1.1.3.6.5->1.1.1.3.6.5.2.1 
	configure.in:1.1.1.3.6.7.2.2->1.1.1.3.6.7.2.3 
	makefile.in:1.1.1.3.6.1.2.1->1.1.1.3.6.1.2.2 
	auth_modules/SMB/Makefile.in:1.1.1.1.10.2->1.1.1.1.10.2.2.1 
	doc/Programming-Guide/prog-guide.sgml:1.1.1.2.6.1->1.1.1.2.6.1.2.1 
	src/Makefile.in:1.1.1.3.10.7.2.1->1.1.1.3.10.7.2.2 
	src/access_log.c:1.1.1.3.10.2->1.1.1.3.10.2.2.1 
	src/acl.c:1.1.1.3.10.5->1.1.1.3.10.5.2.1 
	src/cf.data.pre:1.1.1.3.10.6.2.1->1.1.1.3.10.6.2.2 
	src/cf_gen.c:1.1.1.3.10.2->1.1.1.3.10.2.2.1 
	src/client_side.c:1.1.1.3.10.7->1.1.1.3.10.7.2.1 
	src/comm_select.c:1.1.1.3.10.2.2.1->1.1.1.3.10.2.2.2 
	src/diskd.c:1.1.4.1.2.1->1.1.4.1.2.2(DEAD) 
	src/dns_internal.c:1.1.1.1.10.4->1.1.1.1.10.4.2.1 
	src/enums.h:1.1.1.3.10.5->1.1.1.3.10.5.2.1 
	src/filemap.c:1.1.1.2.6.1->1.1.1.2.6.1.2.1 
	src/forward.c:1.1.1.3.10.3->1.1.1.3.10.3.2.1 
	src/mem.c:1.1.1.3.10.3->1.1.1.3.10.3.2.1 
	src/protos.h:1.1.1.3.10.8.2.1->1.1.1.3.10.8.2.2 
	src/pump.c:1.1.1.3.10.2->1.1.1.3.10.2.2.1 
	src/ssl.c:1.1.1.3.10.3->1.1.1.3.10.3.2.1 
	src/store.c:1.1.1.3.10.8->1.1.1.3.10.8.2.1 
	src/store_client.c:1.1.1.3.10.4->1.1.1.3.10.4.2.1 
	src/store_dir.c:1.1.1.3.10.6->1.1.1.3.10.6.2.1 
	src/structs.h:1.1.1.3.10.8.2.3->1.1.1.3.10.8.2.4 
	src/typedefs.h:1.1.1.3.10.6->1.1.1.3.10.6.2.1 
	src/unlinkd.c:1.1.1.3.10.3.2.1->1.1.1.3.10.3.2.2 
	src/fs/Makefile.in:1.1.6.2->1.1.6.2.2.1 
	src/fs/aufs/Makefile.in:1.1.6.3->1.1.6.3.2.1 
	src/fs/aufs/async_io.c:1.1.6.1.2.2->1.1.6.1.2.3 
	src/fs/aufs/store_asyncufs.h:1.1.6.3->1.1.6.3.2.1 
	src/fs/aufs/store_dir_aufs.c:1.1.6.6.2.1->1.1.6.6.2.2 
	src/fs/aufs/store_io_aufs.c:1.1.6.6.2.1->1.1.6.6.2.2 
	src/fs/coss/Makefile.in:1.1.4.2->1.1.4.2.2.1 
	src/fs/coss/store_dir_coss.c:1.1.4.6->1.1.4.6.2.1 
	src/fs/coss/store_io_coss.c:1.1.4.8.2.2->1.1.4.8.2.3 
	src/fs/diskd/Makefile.in:1.1->1.1.6.1 
	src/fs/diskd/diskd.c:1.1->1.1.6.1 
	src/fs/diskd/store_dir_diskd.c:1.1->1.1.6.1 
	src/fs/diskd/store_diskd.h:1.1->1.1.6.1 
	src/fs/diskd/store_io_diskd.c:1.1->1.1.6.1 
	src/fs/ufs/Makefile.in:1.1.6.3->1.1.6.3.2.1 
	src/fs/ufs/store_dir_ufs.c:1.1.6.6.2.1->1.1.6.6.2.2 
	src/fs/ufs/store_io_ufs.c:1.1.6.6.2.2->1.1.6.6.2.3 
	src/fs/ufs/store_ufs.h:1.1.6.3->1.1.6.3.2.1 

Index: squid/CONTRIBUTORS
===================================================================
RCS file: /cvsroot/squid-sf//squid/CONTRIBUTORS,v
retrieving revision 1.1.1.3
retrieving revision 1.1.1.3.6.1
diff -u -r1.1.1.3 -r1.1.1.3.6.1
--- squid/CONTRIBUTORS	26 Jan 2000 03:25:00 -0000	1.1.1.3
+++ squid/CONTRIBUTORS	2 May 2000 22:50:27 -0000	1.1.1.3.6.1
@@ -70,6 +70,7 @@
 	Niall Doherty <ndoherty@eei.ericsson.se>
 	Pedro Ribeiro <pribeiro@isel.pt>
 	John Dilley <jad@hpl.hp.com>
+	Adrian Chadd <adrian@creative.net.au>
 
 Development of this caching software is funded by the National Science
 Foundation (grants NCR-9616602 and NCR-9521745).  Paid staff members on
Index: squid/ChangeLog
===================================================================
RCS file: /cvsroot/squid-sf//squid/ChangeLog,v
retrieving revision 1.1.1.3.6.5
retrieving revision 1.1.1.3.6.5.2.1
diff -u -r1.1.1.3.6.5 -r1.1.1.3.6.5.2.1
--- squid/ChangeLog	20 Apr 2000 18:14:20 -0000	1.1.1.3.6.5
+++ squid/ChangeLog	2 May 2000 22:50:27 -0000	1.1.1.3.6.5.2.1
@@ -5,63 +5,72 @@
 	  making life a lot easier for people playing around with new types
 	  of object stores.
 	- Transfer-Encoding support by Patrick R. McManus/AppliedTheory
-	- Fixed a temporary memory leak on malformed server responses.
-	- Fixed a temporary memory leak on persistent POST requests.
 	- myport ACL type now supported for redirector_access
-	- Content-Length is added on cache-hits if not sent by the origin
-	  server. This is to improve the use of persistent connections.
-	- Squid now shows all FTP server messages in directory listings
-	- DNS retransmission tuning directives in squid.conf
-	- round-robin peer selection fixed to include previsously dead
-	  peers after at most 5 minutes.
-	- httpd_accel_single_host for simplified accelerator setups
-	  where a single server serves multiple domains/sites.
-	- Range request to servers not supporting Range could cause
-	  bandwidth spikes. Squid now does not attempt to perform
-	  Range processing on cache misses, only cache hits (on misses
-	  it will be done by the server).
-	- Some minor issues with aclDomainComare fixed.
-	- HEAD on FTP objects is now supported without downloading
-	  the whole file.
-	- PURGE now also purges the ipcache
-	- Added a cachemgr menu for inspecting what the helper processes
-	  currently are processing. This is especially useful for the
-	  dnsserver and redirector helpers.
-	- Helpers are now restarted when you rotate the logs.
-	- All unnedded filedescriptors are now properly closed when starting
-	  helper processes.
 	- The pid file is now delated late in the shutdown process, not when
 	  the shutdown stats. This is to allow scripts to monitor the pid file
 	  for Squid shutdown.
-	- Optimized to not block a lot of memory during cache rebuild.
-	- auth_regex and ident_regex ACL types
-	- CONNECT now honours miss_access.
-	- no_cache is now a full ACL check, so you safely can use any ACL type
-	- Log the destination IP in the hierarchy field when going direct.
 	- More fine-grained control of the timeout for persistent connections.
-	- allow-miss cachee_peer option added
-	- Optimization to not start caching objects if it is known
-	  that their size is larger than the allowed size.
 	- Use UNIX domain sockets (if available) for inter-process
 	  communiation, rather than TCP/IP on the loopback interface.
-	- Adjustments of the ICP timeout selection algorithm, to make it
-	  work better you have some far away parents and close-by siblings.
-	- Small bugfix where netdb selection could bypass never_direct.
-	- nonhierarchical_direct tag, for having TCP peerings support
-	  non-hierarchical requests. The default is not to honour the
-	  non-hierarchical types of requests.
-	- Corrected and improved TCP dead peer detection. Now dead-peer
-	  detection can be done fine without using ICP, with only a small
-	  (a few seconds) delay to the user in the event that a peer goes
-	  dead and Squid hasn't detected this yet.
-	- Improved ICP dead peer detection to also work when the workload
-	  is low, and waste less bandwidth on dead peers.
 
 Changes to Squid-2.4.DEVEL3 ():
 
 	- Added Logfile module.
 	- Added DISKD stats via cachemgr.
 	- Added squid.conf options for DISKD magic constants.
+	- Added --enable-auth-modules=... configure option
+	- Improved ICP dead peer detection to also work when the workload
+	  is low
+	- Improved TCP dead peer detection and recovery
+	- Squid is now a bit more persistent in trying to find a alive
+	  parent when never_direct is used.
+	- nonhierarchical_direct squid.conf directive to make non-ICP
+	  peer selection behave a bit more like ICP selection with respect
+	  to hierarchy.
+	- Bugfix where netdb selection could override never_direct
+	- ICP timeout selection now prefers to use parents only when
+	  calculating the dynamic timeout to compensate for common RTT
+	  differences between parents and siblings.
+	- No longer starts to swap out objects which are known to be above
+	  the maximum allowed size.
+	- allow-miss cache_peer option disabling the use of "only-if-cached".
+	  Meant to be used in conjunction with icp_hit_stale.
+	- Delay pools tuned to allow large initial pool values
+	- cachemgr filesystem space information changed to show useable space
+	  rather than raw space, and platform support somewhat extended.
+	- Logs destination IP in the hierarchy log tag when going direct.
+	  (can be disabled by turning log_ip_on_direct off)
+	- Async-IO on linux now makes proper use of mutexes. This fixes some
+	  odd pthread segfaults on SMP Linux machines, at a slight performance
+	  penalty.
+	- %s can now be used in cache_swap_log and will be substituded with
+	  the last path component of cache_dir.
+	- no_cache is now a full ACL check without, allowing most ACL types
+	  to be used.
+	- The CONNECT method now obeys miss_access requirements
+	- proxy_auth_regex and ident_regex ACL types
+	- Fixed a StoreEntry memory leak during "dirty" rebuild
+	- Helper processes no longer hold unrelated filedescriptors open
+	- Helpers are now restarted when the logs are rotated
+	- Negatively cached DNS entries are now purged on "reload".
+	- PURGE now also purges the DNS cache
+	- HEAD on FTP objects no longer retreives the whole object
+	- More cleanups of the dstdomain ACL type
+	- Squid no longer tries to do Range internally if it is not supported
+	  by the origin server. Doing so could cause bandwidth spikes and/or
+	  negative hit ratio.
+	- httpd_accel_single_host squid.conf directive
+	- "round-robin" cache_peer counters are reset every 5 minutes to
+	  compensate previously dead peers
+	- DNS retransmit parameters
+	- Show all FTP server messages
+	- squid.conf.default now indicates if a directive isn't enabled in
+	  the installed binary, and what configure option to use for enabling it
+	- Fixed a temporary memory leak on persistent POSTs
+	- Fixed a temporary memory leak when the server response headers
+	  includes NULL characters
+	- authenticate_ip_ttl_is_strict squid.conf option
+	- req_mime_type ACL type
 
 Changes to Squid-2.4.DEVEL2 ():
 
Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.1.1.3.6.7.2.2
retrieving revision 1.1.1.3.6.7.2.3
diff -u -r1.1.1.3.6.7.2.2 -r1.1.1.3.6.7.2.3
--- squid/configure.in	23 Apr 2000 09:55:37 -0000	1.1.1.3.6.7.2.2
+++ squid/configure.in	2 May 2000 22:50:27 -0000	1.1.1.3.6.7.2.3
@@ -3,13 +3,13 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.1.1.3.6.7.2.2 2000/04/23 09:55:37 hno Exp $
+dnl  $Id: configure.in,v 1.1.1.3.6.7.2.3 2000/05/02 22:50:27 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.1.1.3.6.7.2.2 $)dnl
+AC_REVISION($Revision: 1.1.1.3.6.7.2.3 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AC_CONFIG_AUX_DIR(cfgaux)
 
@@ -278,16 +278,15 @@
     echo "With pthreads"
     SQUID_PTHREAD_LIB='$(PTHREADLIB)'
     CFLAGS="$CFLAGS -D_REENTRANT"
-# Why is this done??
-#   case "$host" in
-#    i386-unknown-freebsd*)
-#    	if test "$GCC" = "yes" ; then
-#	    if test -z "$PRESET_LDFLAGS"; then
-#		LDFLAGS="$LDFLAGS -pthread"
-#	    fi
-#	fi
-#	;;
-#   esac
+    case "$host" in
+    i386-unknown-freebsd*)
+        if test "$GCC" = "yes" ; then
+            if test -z "$PRESET_LDFLAGS"; then
+                LDFLAGS="$LDFLAGS -pthread"
+            fi
+        fi
+    ;;
+    esac
 fi
 AC_SUBST(SQUID_PTHREAD_LIB)
 
@@ -643,46 +642,6 @@
   fi
 ])
 
-dnl Enable "diskd" code
-AC_ARG_ENABLE(diskd,
-[  --enable-diskd          Uses shared memory, message queues, and external
-                          processes for disk I/O.],
-[ if test "$enableval" = "yes" ; then
-    echo "DISKD enabled"
-    AC_DEFINE(USE_DISKD, 1)
-    OPT_DISKD_EXE='$(OPT_DISKD_EXE)'
-    AC_SUBST(OPT_DISKD_EXE)
-    DISKD_OBJS='diskd.o'
-    AC_SUBST(DISKD_OBJS)
-  fi
-])
-
-dnl Disable "unlinkd" cde
-AC_ARG_ENABLE(unlinkd,
-[  --disable-unlinkd       Do not use unlinkd],
-[ if test "$enableval" = "no" ; then
-    USE_UNLINKD=0
-  else
-    USE_UNLINKD=1
-  fi
-],[
-    # Here we should probably use some magic depending on the selected
-    # storage models
-    USE_UNLINKD=1
-])
-if test $USE_UNLINKD; then
-    echo "unlinkd enabled"
-    AC_DEFINE(USE_UNLINKD)
-    OPT_UNLINKD_EXE='$(OPT_UNLINKD_EXE)'
-    UNLINKD_OBJS='unlinkd.o'
-else
-    echo "unlinkd disabled"
-    OPT_UNLINKD_EXE=''
-    UNLINKD_OBJS=''
-fi
-AC_SUBST(OPT_UNLINKD_EXE)
-AC_SUBST(UNLINKD_OBJS)
-
 # Force some compilers to use ANSI features
 #
 case "$host" in
@@ -790,6 +749,7 @@
 	sys/socket.h \
 	sys/stat.h \
 	sys/statvfs.h \
+	sys/vfs.h \
 	sys/syscall.h \
 	sys/time.h \
 	sys/types.h \
@@ -1593,6 +1553,7 @@
 	./src/fs/ufs/Makefile \
 	./src/fs/aufs/Makefile \
 	./src/fs/coss/Makefile \
+	./src/fs/diskd/Makefile \
 	./contrib/Makefile \
 	$SNMP_MAKEFILE \
 	./icons/Makefile \
@@ -1600,8 +1561,13 @@
 	./auth_modules/Makefile \
 	./auth_modules/NCSA/Makefile \
 	./auth_modules/PAM/Makefile \
+<<<<<<< configure.in
 	./auth_modules/SMB/Makefile
 	./auth_modules/MSNT/Makefile
+=======
+	./auth_modules/SMB/Makefile \
+	./auth_modules/MSNT/Makefile \
+>>>>>>> 1.1.1.3.2.12
 	./auth_modules/getpwnam/Makefile \
 	./auth_modules/LDAP/Makefile \
 )
